Bug 694785 - update to 2.9
update to 2.9
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: llvm (Show other bugs)
15
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Michel Alexandre Salim
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-08 07:58 EDT by Neal Becker
Modified: 2011-08-22 11:07 EDT (History)
5 users (show)

See Also:
Fixed In Version: OpenGTL-0.9.15.1-2.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-08-22 11:07:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Neal Becker 2011-04-08 07:58:04 EDT
Description of problem:

Would love to see an update to 2.9

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Alex G. 2011-04-13 19:19:08 EDT
I second that.
Comment 2 Ankur Sinha (FranciscoD) 2011-08-01 14:12:51 EDT
Hello,

llvm-2.9 is needed for freemat. Can you please update? :)

Thanks,
Ankur
Comment 3 Ankur Sinha (FranciscoD) 2011-08-01 14:16:41 EDT
I just noticed a 2.9-1 build is in progress. Thanks Michel! :D

Ankur
Comment 4 Fedora Update System 2011-08-02 06:07:57 EDT
llvm-2.9-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/llvm-2.9-1.fc16
Comment 5 Neal Becker 2011-08-02 07:11:35 EDT
Update for fc15?
Comment 6 Michel Alexandre Salim 2011-08-02 12:23:37 EDT
We can't upgrade F-15's llvm -- I checked with maintainers of LLVM-dependent packages when F-15 was branched, and at the time many upstream projects do not support the soon-to-be-released LLVM 2.9. While they now do (hopefully!), it'd introduce too many changes to system components such as mesa.

Would advise packagers wanting to target LLVM 2.9 to target F-16. For personal use, I can report that a rebuilt LLVM 2.9 works fine on F-15.
Comment 7 Fedora Update System 2011-08-02 16:50:28 EDT
Package llvm-2.9-1.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing llvm-2.9-1.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/llvm-2.9-1.fc16
then log in and leave karma (feedback).
Comment 8 Fedora Update System 2011-08-04 17:12:25 EDT
Package OpenGTL-0.9.15.1-2.fc16, ldc-2-3.20110801git58d40d2.fc16, mesa-7.11-2.fc16, pure-0.47-3.fc16, llvm-2.9-2.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing OpenGTL-0.9.15.1-2.fc16 ldc-2-3.20110801git58d40d2.fc16 mesa-7.11-2.fc16 pure-0.47-3.fc16 llvm-2.9-2.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/OpenGTL-0.9.15.1-2.fc16,ldc-2-3.20110801git58d40d2.fc16,mesa-7.11-2.fc16,pure-0.47-3.fc16,llvm-2.9-2.fc16
then log in and leave karma (feedback).
Comment 9 Fedora Update System 2011-08-22 11:06:51 EDT
OpenGTL-0.9.15.1-2.fc16, ldc-2-3.20110801git58d40d2.fc16, mesa-7.11-2.fc16, pure-0.47-3.fc16, llvm-2.9-2.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.